# Class URIParameter

java.lang.Object
java.security.URIParameter

All Implemented Interfaces:
  `Policy.Parameters, Configuration.Parameters`

public class URIParameter extends Object implements Policy.Parameters, Configuration.Parameters
A parameter that contains a URI pointing to data intended for a PolicySpi or ConfigurationSpi implementation.

Since:
  1.6

## Constructor Summary

Constructors
Constructor
Description
`URIParameter(URI uri)`
Constructs a `URIParameter` with the URI pointing to data intended for an SPI implementation.

## Method Summary

Modifier and Type
Method
Description
`URI`
`getURI()`
Returns the URI.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### URIParameter

public URIParameter(URI uri)
Constructs a `URIParameter` with the URI pointing to data intended for an SPI implementation.

Parameters:
  `uri` - the URI pointing to the data.
Throws:
  `NullPointerException` - if the specified URI is `null`.

## Method Details

### getURI

public URI getURI()
Returns the URI.

Returns:
  uri the URI.